/*
 * Created on 21-feb-2006
 *
 */
package editor;

import javax.swing.filechooser.FileFilter;

/**
 * Gestisce il filtro per i file che e' possibile aprire con l'editor. Solo i
 * file .urb possono essere aperti.
 * 
 * @author Andrea Urbini
 * @version 1.0
 */

public class FiltroFile extends FileFilter {

	@Override
	public boolean accept(java.io.File file) {
		if (file == null) {
			return false;
		}
		return file.isDirectory()
				|| file.getName().toLowerCase().endsWith(".urb");
	}

	@Override
	public String getDescription() {
		return "Urbo files (*.urb)";
	}
}