package milionario;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;

import javax.swing.JPanel;

/**
 * Pannello che visualizza il grafico con le percentuali del pubblico
 * 
 * @author Loris Teodorani
 * @version 2.0
 */

public class PercentualiPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7173363254330369901L;
	private final Color COLORE_LINEA = new Color(35, 132, 169);
	private final Font FONT_PERC = new Font("Serif", Font.PLAIN, 12);
	private final Font FONT_RISP = new Font("SansSerif", Font.BOLD, 14);
	private int pa;
	private int pb;
	private int pc;
	private int pd;
	private int coeff5050;

	/**
	 * 
	 *
	 */
	public PercentualiPanel() {
		super();
	}

	/**
	 * 
	 */
	@Override
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		if (coeff5050 == 3) {
			if (pc > pd) {
				pc = (int) (pc + ((pa + pb) / 2) + 0.5);
				pd = (pd + ((pa + pb) / 2));
				pa = 0;
				pb = 0;
			} else {
				pc = (pc + ((pa + pb) / 2));
				pd = (int) (pd + ((pa + pb) / 2) + 0.5);
				pa = 0;
				pb = 0;
			}
		}
		if (coeff5050 == 4) {
			if (pb > pd) {
				pb = (int) (pb + ((pa + pc) / 2) + 0.5);
				pd = (pd + ((pa + pc) / 2));
				pa = 0;
				pc = 0;
			} else {
				pb = (pb + ((pa + pc) / 2));
				pd = (int) (pd + ((pa + pc) / 2) + 0.5);
				pa = 0;
				pc = 0;
			}
		}
		if (coeff5050 == 5) {
			if (pa > pd) {
				pa = (int) (pa + ((pc + pb) / 2) + 0.5);
				pd = (pd + ((pc + pb) / 2));
				pc = 0;
				pb = 0;
			} else {
				pa = (pa + ((pc + pb) / 2));
				pd = (int) (pd + ((pc + pb) / 2) + 0.5);
				pc = 0;
				pb = 0;
			}
		}
		if (coeff5050 == 6) {
			if (pc > pa) {
				pc = (int) (pc + ((pb + pd) / 2) + 0.5);
				pa = (pa + ((pb + pd) / 2));
				pd = 0;
				pb = 0;
			} else {
				pc = (pc + ((pb + pd) / 2));
				pa = (int) (pa + ((pb + pd) / 2) + 0.5);
				pd = 0;
				pb = 0;
			}
		}
		if (coeff5050 == 7) {
			if (pa > pb) {
				pa = (int) (pa + ((pc + pd) / 2) + 0.5);
				pb = (pb + ((pc + pd) / 2));
				pc = 0;
				pd = 0;
			} else {
				pa = (pa + ((pc + pd) / 2));
				pb = (int) (pb + ((pc + pd) / 2) + 0.5);
				pc = 0;
				pd = 0;
			}
		}
		if (coeff5050 == 8) {
			if (pc > pb) {
				pc = (int) (pc + ((pa + pd) / 2) + 0.5);
				pb = (pb + ((pa + pd) / 2));
				pa = 0;
				pd = 0;
			} else {
				pc = (pc + ((pa + pd) / 2));
				pb = (int) (pb + ((pa + pd) / 2) + 0.5);
				pa = 0;
				pd = 0;
			}
		}
		setBackground(Color.BLACK);
		g.setColor(COLORE_LINEA);
		g.drawRect(10, 10, 142, 180);
		g.drawLine(10, 24, 152, 24);
		g.drawRect(10, 190, 142, 22);
		g.fillRect(21, (30 + (160 - (int) (pa * 1.6))), 20, (int) (1.6 * pa));
		g.fillRect(55, (30 + (160 - (int) (pb * 1.6))), 20, (int) (1.6 * pb));
		g.fillRect(88, (30 + (160 - (int) (pc * 1.6))), 20, (int) (1.6 * pc));
		g.fillRect(121, (30 + (160 - (int) (pd * 1.6))), 20, (int) (1.6 * pd));
		g.setColor(Color.YELLOW);
		g.setFont(FONT_RISP);
		g.drawString("A", 28, 206);
		g.drawString("B", 61, 206);
		g.drawString("C", 94, 206);
		g.drawString("D", 127, 206);
		g.setColor(Color.WHITE);
		g.setFont(FONT_PERC);
		if (pa >= 10) {
			g.drawString("" + pa + "%", 20, 22);
		}
		if (pa < 10) {
			g.drawString("" + pa + "%", 27, 22);
		}
		if (pb >= 10) {
			g.drawString("" + pb + "%", 54, 22);
		}
		if (pb < 10) {
			g.drawString("" + pb + "%", 61, 22);
		}
		if (pc >= 10) {
			g.drawString("" + pc + "%", 87, 22);
		}
		if (pc < 10) {
			g.drawString("" + pc + "%", 94, 22);
		}
		if (pd >= 10) {
			g.drawString("" + pd + "%", 120, 22);
		}
		if (pd < 10) {
			g.drawString("" + pd + "%", 127, 22);
		}
	}

	/**
	 * 
	 * @param perc
	 */
	public void setPercentuali(int[] perc) {
		pa = perc[0];
		pb = perc[1];
		pc = perc[2];
		pd = perc[3];
		coeff5050 = perc[4];
	}
}