package milionario.gui;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;

import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

/**
 *Pannello che visualizza il montepremi conquistato.
 * 
 *@author Andrea Urbini
 *@version 4.0
 */

public class MoneyPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7345833128238734738L;
	private Image img = null;
	private final Font FONT = new Font("SansSerif", Font.BOLD, 30);
	private JTextField txt = null;
	private String[] jackpotList = null;

	public MoneyPanel(String[] jackpotList) {
		super();
		this.jackpotList = jackpotList;
		setLayout(null);
		Toolkit tk = Toolkit.getDefaultToolkit();
		img = tk.getImage(getClass().getResource("/data/money.png"));
		txt = new JTextField(15);
		txt.setEditable(false);
		txt.setBorder(null);
		txt.setForeground(Color.YELLOW);
		txt.setBackground(Color.BLACK);
		txt.setHorizontalAlignment(SwingConstants.CENTER);
		txt.setFont(FONT);
		txt.setBounds(79, 12, 280, 35);
		add(txt);
	}

	@Override
	public void paintComponent(Graphics g) {
		g.drawImage(img, 0, 0, this);
	}

	public void repaint(int montepremi) {
		txt.setText("€ " + jackpotList[montepremi]);
	}
}