/*
 * Created on 11-mar-2006
 * 
 */
package milionario.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JWindow;

/**
 * @author Andrea Urbini
 * @version 1.0
 */
public class SplashWindow extends JWindow {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8654210885374467304L;
	private JPanel jContentPane = null;
	private JLabel jLabel = null;
	private JProgressBar jProgressBar = null;

	/**
	 * This is the default constructor
	 */
	public SplashWindow() {
		super();
		initialize();
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setIcon(new ImageIcon(getClass().getResource(
					"/data/splash.png")));
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.setBackground(java.awt.Color.black);
			jContentPane.add(jLabel, java.awt.BorderLayout.CENTER);
			jContentPane.add(getJProgressBar(), java.awt.BorderLayout.SOUTH);
		}
		return jContentPane;
	}

	/**
	 * 
	 * @return javax.swing.JProgressBar
	 */
	private JProgressBar getJProgressBar() {
		if (jProgressBar == null) {
			jProgressBar = new JProgressBar();
			jProgressBar.setMaximum(100);
			jProgressBar.setBackground(java.awt.Color.black);
			jProgressBar.setForeground(java.awt.Color.orange);
			jProgressBar.setStringPainted(true);
			jProgressBar.setMinimum(0);

		}
		return jProgressBar;
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(400, 112);
		Toolkit tk = Toolkit.getDefaultToolkit();
		Dimension d = tk.getScreenSize();
		setLocation((int) (d.getWidth() - getWidth()) / 2,
				(int) (d.getHeight() - getHeight()) / 2);
		setBackground(java.awt.Color.black);
		setContentPane(getJContentPane());
		addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				setVisible(false);
				System.exit(ABORT);
			}
		});
	}

	/**
	 * 
	 * @param progress
	 */
	public void setProgress(int progress) {
		getJProgressBar().setValue(progress);
	}

}
